ComplaintCategory

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fenalco.entities
Class ComplaintCategory

    java.lang.Object
      com.fenalco.entities.ComplaintCategory

    public class ComplaintCategory

extends java.lang.Object

Esta clase representa la tabla categoria_reclamos de la base de datos y encapsula cada una de las operaciones que sobre esta se puedan realizar : inserción, actualización, eliminación, consulta

Author:
  Mario Linares Vásquez

Field Summary
`private java.lang.String` | `description` descripción de la categoría de reclamo
`private java.lang.String` | `email` email destino para los reclamos
`private int` | `id` id de la categoría de reclamo
`private java.lang.String` | `name` nombre descriptivo de la categoría de reclamo

Constructor Summary
`ComplaintCategory()` Constructor por omisión de la clase.
`ComplaintCategory(int id)` Constructor que recibe el id de la categforía en la base de datos.

Method Summary
`boolean` | `delete(Transaction transaction)` Realiza una consulta SQL de tipo delete con el fin de eliminar la categoría de la base de datos cuando se creo la instancia con el constructor que recibe el id como parámetro.Para eliminar los datos en la tabla categoria_reclamo debe construir una consulta SQL de tipo deletete y adicionarla a la transacción que recibe como parámetro con el método `addSql`
`java.lang.String` | `getDescription()` Consultor para el atributo description.
`java.lang.String` | `getEmail()` Consultor para el atributo email.
`int` | `getId()` Consultor para el atributo id.
`java.lang.String` | `getName()` Consultor para el atributo name.
`boolean` | `loadData(int id)` Este método carga de la tabla categoria_reclamo de la base de datos todos los valores de los campos en los atributos de la clase, a través del método `query` de la clase `SQLUtilities`
`boolean` | `saveData(Transaction transaction)` Este método guarda los atributos de la categogía en la base de datos.
`void` | `setDescription(java.lang.String description)` Modificador para el atributo description.
`void` | `setEmail(java.lang.String email)` Modificador para el atributo email.
`void` | `setId(int id)` Modificador para el atributo id.
`void` | `setName(java.lang.String name)` Modificador para el atributo name.
`java.lang.String` | `toString()`
`boolean` | `update(Transaction transaction)` Realiza una consulta SQL de tipo update con el fin de actualizar los campos de la categoría modificados a través de los métodos setter.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### id

    private int id

  id de la categoría de reclamo

### name

    private java.lang.String name

  nombre descriptivo de la categoría de reclamo

### description

    private java.lang.String description

  descripción de la categoría de reclamo

### email

    private java.lang.String email

  email destino para los reclamos

Constructor Detail

### ComplaintCategory

    public ComplaintCategory()

  Constructor por omisión de la clase. Se debe utilizar en el caso de que se vaya crear una nueva categoría en la base de datos.

### ComplaintCategory

    public ComplaintCategory(int id)

  Constructor que recibe el id de la categforía en la base de datos. Se debe usar en el caso de actualizaciones, borrado y consulta. Este constructor llama a la función miembro `loadData` con el parámetro id con el fin de cargar los datos propios de esa categoría que residen en la base de datos. Al usar este constructor si se desea modificar el valor de algún campo se deben utilizar los métodos consultores (setter).

  Parameters:
    `id` - int que representa el id de la factura en la base de datos

Method Detail

### loadData

    public boolean loadData(int id)

  Este método carga de la tabla categoria_reclamo de la base de datos todos los valores de los campos en los atributos de la clase, a través del método `query` de la clase `SQLUtilities`

  Parameters:
    `id` - identificador de la categoría de reclamo
  Returns:
    boolean que representa el exito del proceso de carga de los datos

### saveData

    public boolean saveData(Transaction transaction)

  Este método guarda los atributos de la categogía en la base de datos. Se debe usar solo cuando se ha creado una instancia con el constructor por omisión. Para almacenar los datos en la tabla categoria_reclamo debe construir una consulta SQL de tipo insert y adicionarla a la transacción que recibe como parámetro con el método `addSql`

  Parameters:
    `transaction` - la transacción que se está ejecutando
  Returns:
    boolean que representa el exito del proceso de inserción

### update

    public boolean update(Transaction transaction)

  Realiza una consulta SQL de tipo update con el fin de actualizar los campos de la categoría modificados a través de los métodos setter. Para actualizar los datos en la tabla categoria_reclamo debe construir una consulta SQL de tipo update y adicionarla a la transacción que recibe como parámetro con el método `addSql`

  Parameters:
    `transaction` - la transacción que se está ejecutando
  Returns:
    boolean que representa el exito del proceso de actualización

### delete

    public boolean delete(Transaction transaction)

  Realiza una consulta SQL de tipo delete con el fin de eliminar la categoría de la base de datos cuando se creo la instancia con el constructor que recibe el id como parámetro.Para eliminar los datos en la tabla categoria_reclamo debe construir una consulta SQL de tipo deletete y adicionarla a la transacción que recibe como parámetro con el método `addSql`

  Parameters:
    `transaction` - la transacción que se está ejecutando
  Returns:
    boolean que representa el exito del proceso de borrado

### getId

    public int getId()

  Consultor para el atributo id.

  Returns:
    Valor del atributo id.

### setId

    public void setId(int id)

  Modificador para el atributo id.

  Parameters:
    `id` - Nuevo valor del atributo id.

### getName

    public java.lang.String getName()

  Consultor para el atributo name.

  Returns:
    Valor del atributo name.

### setName

    public void setName(java.lang.String name)

  Modificador para el atributo name.

  Parameters:
    `name` - Nuevo valor del atributo name.

### getDescription

    public java.lang.String getDescription()

  Consultor para el atributo description.

  Returns:
    Valor del atributo description.

### setDescription

    public void setDescription(java.lang.String description)

  Modificador para el atributo description.

  Parameters:
    `description` - Nuevo valor del atributo description.

### getEmail

    public java.lang.String getEmail()

  Consultor para el atributo email.

  Returns:
    Valor del atributo email.

### setEmail

    public void setEmail(java.lang.String email)

  Modificador para el atributo email.

  Parameters:
    `email` - Nuevo valor del atributo email.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD